//+------------------------------------------------------------------+
//|                                        TruemRangezBands_3_v1.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
/*------------------------------------------------------------------+
 |                                             True Range Bands.mq4 |
 |                                                 Copyright  2010 |
 |                                             basisforex@gmail.com |
 +------------------------------------------------------------------*/
#property copyright "Copyright  2010, basisforex@gmail.com"
#property link      "basisforex@gmail.com"
//----
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 RoyalBlue
#property indicator_color2 Maroon
//----
extern int period     = 13;
//----
double MaTUp[];
double MaTDn[];
//+------------------------------------------------------------------+
int init()
 {
   SetIndexShift(0, 0);
   SetIndexShift(1, 0);
//----
   SetIndexBuffer(0, MaTUp);
   SetIndexBuffer(1, MaTDn);
//----
   SetIndexStyle(0, DRAW_LINE);
   SetIndexStyle(1, DRAW_LINE);
//----
   SetIndexLabel(1, "MaUp");
   SetIndexLabel(1, "MaDn");
//----
   return(0);
 }
//+------------------------------------------------------------------+
int start()
 {
   int limit;
   double high,low,atr;
   int counted_bars = IndicatorCounted();
   if(counted_bars < 0) return(-1);
   if(counted_bars > 0) counted_bars--;
   limit = Bars - counted_bars;
   for(int i = 0; i < limit; i++)
    {
     // MaBuffer[i]=iMA(NULL, 0, period, 0,MODE_SMA,PRICE_WEIGHTED,i);

      //  _v1 
      
      high=iMA(NULL,0,period,0,MODE_EMA,PRICE_HIGH,i);
      low=iMA(NULL,0,period,0,MODE_EMA,PRICE_LOW,i);
      atr=high-low;
      MaTDn[i] = low - atr;
      MaTUp[i] = high + atr;

    }  
   //-----
   return(0);
 }
//+------------------------------------------------------------------+

